Skip to main content
GET
TypeScript

Path Parameters

id
string
required

Action sequence id (UUID).

Minimum string length: 1

Response

OK

Single lending action (intent plus per-step execution rows).

id
string
required

Action sequence id (UUID).

Example:

"660e8400-e29b-41d4-a716-446655440001"

vaultAccountId
string
required

Fireblocks vault account that executed the action.

Example:

"0"

userId
string
required

User who initiated the action.

Example:

"550e8400-e29b-41d4-a716-446655440000"

status
string
required

Intent status (e.g. CREATED, IN_PROGRESS, COMPLETED).

Example:

"IN_PROGRESS"

providerId
enum<string>
required

Lending protocol identifier.

Available options:
MORPHO,
AAVE
Example:

"MORPHO"

actionType
enum<string>
required

Whether this action is a deposit or withdraw flow.

Available options:
DEPOSIT,
WITHDRAW
Example:

"DEPOSIT"

opportunityId
string
required

Target lending opportunity identifier.

Example:

"morpho-usdc-vault-1"

amount
string
required

Human-readable amount for the action.

Example:

"1500.5"

createdAt
string
required

Creation time (ISO-8601).

Example:

"2025-01-15T10:00:00Z"

updatedAt
string
required

Last update time (ISO-8601).

Example:

"2025-03-20T08:30:00Z"

records
object[]
required

Ordered execution steps for this action.

Required array length: 1 - 4 elements
positionId
string

Position id in the system when applicable.

Example:

"770e8400-e29b-41d4-a716-446655440002"